package kr.co.uplus.ez.api.custMgt.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class DeleteUserResDto extends ResponseMessage implements Serializable{

	@ApiModelProperty(example = "데이터")
	private Object data;

	public DeleteUserResDto() {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
	}

	public DeleteUserResDto(ApiResponseCode returnStr) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
	}

	public DeleteUserResDto(ApiResponseCode returnStr, Object data) {
		this.retCode = returnStr.getResultCode();
		this.retMsg = returnStr.getResultMsg();
		this.data = data;
	}

	public DeleteUserResDto(DeleteUserReqDto data) {
		this.retCode = ApiResponseCode.SUCCESS.getResultCode();
		this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
		this.data = data;
	}
}
